/*
 * Copyright (c) 2013-2025 Hutool Team and hutool.cn
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cn.hutool.v7.http.server.engine.jetty;

import cn.hutool.v7.http.server.handler.HttpHandler;
import org.eclipse.jetty.server.Handler;
import org.eclipse.jetty.server.Request;
import org.eclipse.jetty.server.Response;
import org.eclipse.jetty.util.Callback;

/**
 * Jetty版本使用的Handler
 *
 * @author Looly
 */
public class JettyHandler extends Handler.Abstract {

	private final HttpHandler handler;

	/**
	 * 构造
	 *
	 * @param handler 处理器
	 */
	public JettyHandler(final HttpHandler handler) {
		this.handler = handler;
	}

	@Override
	public boolean handle(Request request, Response response, Callback callback) {
		handler.handle(new JettyRequest(request), new JettyResponse(response));
		return true;
	}
}
